Libcloud
  1. Libcloud
  2. LIBCLOUD-174

api_version argument not captured within

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Trivial Trivial
    • Resolution: Fixed
    • Affects Version/s: 0.8.0
    • Fix Version/s: 0.9.1
    • Component/s: Compute
    • Labels:
    • Environment:

      N/A

      Description

      api_version argument passed but not captured within libcloud\common\base.py in BaseDriver class _init_

      Here's a proposed diff:

      Index: trunk/libcloud/common/base.py
      ===================================================================
      — trunk/libcloud/common/base.py (revision 1305051)
      +++ trunk/libcloud/common/base.py (working copy)
      @@ -795,6 +795,7 @@
      self.key = key
      self.secret = secret
      self.secure = secure
      + self.api_version = api_version
      args = [self.key]

      if self.secret is not None:

        Activity

        Hide
        Tomaz Muraus added a comment -

        Committed into trunk, thanks. Next time please attach a patch instead of copying a diff inside the comment.

        Show
        Tomaz Muraus added a comment - Committed into trunk, thanks. Next time please attach a patch instead of copying a diff inside the comment.

          People

          • Assignee:
            Unassigned
            Reporter:
            Sengor Kusturica
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Time Tracking

              Estimated:
              Original Estimate - 5m
              5m
              Remaining:
              Remaining Estimate - 5m
              5m
              Logged:
              Time Spent - Not Specified
              Not Specified

                Development